Commit 1d66efbe authored by Guido Trotter's avatar Guido Trotter
Browse files

Enable using ghc parallel version 3



Currently htools cannot be compiled under sid because the parallel
haskell library is version 3. Using it issues a few warning, but
compiles and passes unit tests. Ship it?
Signed-off-by: default avatarGuido Trotter <ultrotter@google.com>
Reviewed-by: default avatarIustin Pop <iustin@google.com>
parent de2b0d1d
......@@ -359,7 +359,11 @@ else
AC_SUBST(GHC_PKG_CURL)
AC_SUBST(HTOOLS_NOCURL)
AC_MSG_CHECKING([parallel])
GHC_PKG_PARALLEL=$($GHC_PKG --simple-output list 'parallel-3.*')
if test -z "$GHC_PKG_PARALLEL"
then
GHC_PKG_PARALLEL=$($GHC_PKG --simple-output list 'parallel-2.*')
fi
if test -z "$GHC_PKG_PARALLEL"
then
GHC_PKG_PARALLEL=$($GHC_PKG --simple-output list 'parallel-1.*')
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment